Browse Source

manage.sh : minor change

Alex 6 years ago
parent
commit
ec62e00df9
1 changed files with 5 additions and 3 deletions
  1. 5 3
      manage.sh

+ 5 - 3
manage.sh

@@ -1,15 +1,17 @@
 #!/bin/sh
 #!/bin/sh
 
 
 BASE_DIR="$(dirname -- "`readlink -f -- "$0"`")"
 BASE_DIR="$(dirname -- "`readlink -f -- "$0"`")"
-export PATH="$BASE_DIR/node_modules/.bin":$PATH
+
+cd -- "$BASE_DIR"
+set -e
+
+export PATH="$(npm bin)":$PATH
 
 
 # subshell
 # subshell
 PYTHONPATH="$BASE_DIR"
 PYTHONPATH="$BASE_DIR"
 SEARX_DIR="$BASE_DIR/searx"
 SEARX_DIR="$BASE_DIR/searx"
 ACTION="$1"
 ACTION="$1"
 
 
-cd -- "$BASE_DIR"
-set -e
 
 
 #
 #
 # Python
 # Python